> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Getting group conversation

# Get Group Conversation

For the complete error reference, see [Error Guide](/articles/error-guide).


## OpenAPI

````yaml get /groups/{guid}/conversation
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /groups/{guid}/conversation:
    get:
      tags:
        - Conversations
      summary: Get Group Conversation
      description: Getting group conversation
      operationId: get-group-conversations
      parameters:
        - name: onBehalfOf
          in: header
          description: UID of the user on whose behalf the action is performed.
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/guid--conversation'
      responses:
        '200':
          description: Get user Conversations
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: object
                type: object
              example:
                data:
                  - conversationId: group_project-group
                    conversationType: group
                    unreadMessageCount: '0'
                    createdAt: 1630071782
                    updatedAt: 1630481413
                    lastMessage:
                      id: '50'
                      conversationId: group_project-group
                      sender: cometchat-uid-4
                      receiverType: group
                      receiver: project-group
                      category: action
                      type: groupMember
                      data:
                        action: unbanned
                        entities:
                          by:
                            entity:
                              uid: cometchat-uid-4
                              name: Susan Marie
                              role: default
                              avatar: >-
                                https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-4.webp
                              status: offline
                              createdAt: 1629869270
                            entityType: user
                          'on':
                            entity:
                              uid: cometchat-uid-3
                              link: https://data-us.cometchat.io/assets
                              name: George Alan
                              role: default
                              avatar: >-
                                https://assets.cometchat.io/sampleapp/v2/users/cometchat-uid-2.webp
                              status: offline
                              createdAt: 1629869270
                              updatedAt: 1629964825
                              conversationId: cometchat-uid-3_user_cometchat-uid-4
                            entityType: user
                          for:
                            entity:
                              guid: project-group
                              icon: >-
                                https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp
                              name: Project Group1
                              type: private
                              owner: cometchat-uid-4
                              createdAt: 1630071341
                              updatedAt: 1630305525
                              updatedBy: cometchat-uid-4
                              description: project related discussions between members
                              membersCount: 4
                              conversationId: group_project-group
                            entityType: group
                      sentAt: 1630305562
                      updatedAt: 1630305562
                    conversationWith:
                      guid: project-group
                      name: Project Group1
                      description: project related discussions between members
                      icon: >-
                        https://assets.cometchat.io/sampleapp/v2/groups/cometchat-guid-1.webp
                      type: private
                      scope: participant
                      membersCount: 4
                      joinedAt: 1630071782
                      conversationId: group_project-group
                      hasJoined: true
                      createdAt: 1630071341
                      owner: cometchat-uid-4
                      updatedAt: 1630308875
                      updatedBy: cometchat-uid-4
      security:
        - apiKey: []
components:
  parameters:
    guid--conversation:
      name: guid
      in: path
      description: GUID of the group whose conversation is being accessed.
      required: true
      schema:
        type: string
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````